﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.IO;

namespace Md5Sign
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            if (args == null || args.Length < 1) return;
            string DecodeStr = Base64Helper.DecodeBase64(args[0]);
            string mw = "";
            string error = "";
            if (GetGeneAuthorizationSign(DecodeStr, out mw, out error))
            {
                File.WriteAllText(Path.Combine(Application.StartupPath, "md5.txt"), mw);
            }
            return;
        }

        private static bool GetGeneAuthorizationSign(string Plaintext, out string Ciphertext, out string ErrorStr)
        {
            Ciphertext = "";
            ErrorStr = "";
            string md5 = MD5Helper.CalcMD5(Plaintext).ToLower();
            Ciphertext = md5;
            return true;
        }
    }
}
